Package org.apache.tapestry5.javadoc

## Class ParameterDescription

- java.lang.Object
- - org.apache.tapestry5.javadoc.ParameterDescription

-     public class ParameterDescription
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `allowNull` |
    `boolean` | `cache` |
    `java.lang.String` | `defaultPrefix` |
    `java.lang.String` | `defaultValue` |
    `boolean` | `deprecated` |
    `javax.lang.model.element.VariableElement` | `field` |
    `java.lang.String` | `name` |
    `boolean` | `required` |
    `java.lang.String` | `since` |
    `java.lang.String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParameterDescription​(javax.lang.model.element.VariableElement fieldDoc, java.lang.String name, java.lang.String type, java.lang.String defaultValue, java.lang.String defaultPrefix, boolean required, boolean allowNull, boolean cache, java.lang.String since, boolean deprecated, DocCommentTreeProvider docCommentTreeProvider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `extractDescription()` | Extracts the description, converting Text and @link nodes as needed into markup text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field

          public final javax.lang.model.element.VariableElement field

    - #### name

          public final java.lang.String name

    - #### type

          public final java.lang.String type

    - #### defaultValue

          public final java.lang.String defaultValue

    - #### defaultPrefix

          public final java.lang.String defaultPrefix

    - #### required

          public final boolean required

    - #### allowNull

          public final boolean allowNull

    - #### cache

          public final boolean cache

    - #### since

          public final java.lang.String since

    - #### deprecated

          public final boolean deprecated

  - ### Constructor Detail

    - #### ParameterDescription

          public ParameterDescription​(javax.lang.model.element.VariableElement fieldDoc,
                                      java.lang.String name,
                                      java.lang.String type,
                                      java.lang.String defaultValue,
                                      java.lang.String defaultPrefix,
                                      boolean required,
                                      boolean allowNull,
                                      boolean cache,
                                      java.lang.String since,
                                      boolean deprecated,
                                      DocCommentTreeProvider docCommentTreeProvider)

  - ### Method Detail

    - #### extractDescription

          public java.lang.String extractDescription()
                                              throws java.io.IOException

      Extracts the description, converting Text and @link nodes as needed into markup text.
      Returns:
        markup text, ready for writing
      Throws:
        `java.io.IOException` - if some error occurs.